import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { appSettings } from "src/etc/AppSettings";
import { Observable } from "rxjs";
import { Comanda } from '../wrappers/comanda';

@Injectable({
  providedIn: "root"
})
export class ComandaService {
  private apiUrl: string = appSettings.apiUrl;

  constructor(private http: HttpClient) { }

  getAll(): Observable<any> {

    return this.http.get(`${this.apiUrl}/comandas`);
  }

  updateComanda(id: number, estado: number, observacion: string): Observable<any> {

    return this.http.get(`${this.apiUrl}/comandas/update/${id}/${estado}/${observacion}`);
  }

  getPendientesEntrega() {
    return this.http.get(`${this.apiUrl}/comandas/pendientes-entrega`);
  }
}
